#1168 Assert opening 'Edit/View Entry' dialog

v1.0_(example)
closed
Mac wx (4)
1
2015-10-09
2014-03-04
No

../src/common/sizer.cpp(1377): assert "Assert failure" failed in DoInsert(): too many items (13 > 2*6) in grid sizer (maybe you should omit the number of either rows or columns?)

I get an assert running the debug version of 3.33 on Mac OS X 10.9. I can not
see the entire call stack in the dialog box as it runs off the bottom of the screen. It happens when I try to edit an entry. Below is as much of the call stack I can see.

HTH,
Mark

../src/common/sizer.cpp(1377): assert "Assert failure" failed in DoInsert(): too many items (13 > 2*6) in grid sizer (maybe you should omit the number of either rows or columns?)

Call stack:
[00] wxAppConsoleBase::OnAssertFailure(wchar_t const*, int, wchar_t const*,       wchar_t const*, wchar_t const*)   appbase.cpp:76
[01] PwsafeApp::OnAssertFailure(wchar_t const*, int, wchar_t const*, wchar_t const*, wchar_t const*)    pwsafeapp.cpp:24
[02] wxDefaultAssertHandler(wxString const&, int, wxString const&, wxString const&, wxString const&)    appbase.cpp:106
[03] wxOnAssert(char const*, int, char const*, char const*, wxString const&)    appbase.cpp:111
[04] wxGridSizer::DoInsert(unsigned long, wxSizerItem*)     sizer.cpp:137
[05] wxSizer::Insert(unsigned long, wxSizerItem*)   sizer.h:112
[06] wxSizer::Add(wxSizerItem*)                 sizer.h:113
[07] wxSizer::Add(wxWindow*, int, int, int, wxObject*)  sizer.h:113
[08] AddEditPropSheet::CreateControls()         addeditpropsheet.cpp:63
[09] AddEditPropSheet::Create(wxWindow*, int, wxString const&, wxPoint const&, wxSize const&, long)     addeditpropsheet.cpp:15
[10] AddEditPropSheet::AddEditPropSheet(wxWindow*, PWScore&, AddEditPropSheet::AddOrEdit, CItemData const*, UIInterFace*, wxString const&, int, wxString const&, wxPoint const&, wxSize const&, long)   addeditpropsheet.cpp:14
[11] AddEditPropSheet::AddEditPropSheet(wxWindow*, PWScore&, AddEditPropSheet::AddOrEdit, CItemData const*, UIInterFace*, wxString const&, int, wxString const&, wxPoint const&, wxSize const&, long)   addeditpropsheet.cpp:14
[12] PasswordSafeFrame::DoEdit(CItemData)       addeditpropsheet.h:13
[13] PasswordSafeFrame::OnEditClick(wxCommandEvent&)    mainEdit.cpp:6
[14] wxAppConsoleBase::HandleEvent(wxEvtHandler*, void (wxEvtHandler::*)(wxEvent&), wxEvent&) const     appbase.cpp:59

Related

Bugs: #1168

Discussion

  • Rony Shapiro

    Rony Shapiro - 2014-03-04
    • labels: --> Mac wx
    • assigned_to: Saurav Ghosh
     
  • Rony Shapiro

    Rony Shapiro - 2014-03-04

    Saurav - care to take a look?

     
    • Saurav Ghosh

      Saurav Ghosh - 2014-03-04

      Yes, I will.

      On 04-Mar-2014, at 11:34 pm, Rony Shapiro ronys@users.sf.net wrote:

      Saurav - care to take a look?

      [bugs:#1168] Assert opening 'Edit/View Entry' dialog

      Status: open
      Group: v1.0_(example)
      Labels: Mac wx
      Created: Tue Mar 04, 2014 05:34 PM UTC by John Mark Clayton
      Last Updated: Tue Mar 04, 2014 05:34 PM UTC
      Owner: Saurav Ghosh

      ../src/common/sizer.cpp(1377): assert "Assert failure" failed in DoInsert(): too many items (13 > 2*6) in grid sizer (maybe you should omit the number of either rows or columns?)

      I get an assert running the debug version of 3.33 on Mac OS X 10.9. I can not
      see the entire call stack in the dialog box as it runs off the bottom of the screen. It happens when I try to edit an entry. Below is as much of the call stack I can see.

      HTH,
      Mark

      ../src/common/sizer.cpp(1377): assert "Assert failure" failed in DoInsert(): too many items (13 > 2*6) in grid sizer (maybe you should omit the number of either rows or columns?)

      Call stack:
      [00] wxAppConsoleBase::OnAssertFailure(wchar_t const, int, wchar_t const, wchar_t const, wchar_t const) appbase.cpp:76
      [01] PwsafeApp::OnAssertFailure(wchar_t const, int, wchar_t const, wchar_t const, wchar_t const) pwsafeapp.cpp:24
      [02] wxDefaultAssertHandler(wxString const&, int, wxString const&, wxString const&, wxString const&) appbase.cpp:106
      [03] wxOnAssert(char const, int, char const, char const, wxString const&) appbase.cpp:111
      [04] wxGridSizer::DoInsert(unsigned long, wxSizerItem
      ) sizer.cpp:137
      [05] wxSizer::Insert(unsigned long, wxSizerItem) sizer.h:112
      [06] wxSizer::Add(wxSizerItem
      ) sizer.h:113
      [07] wxSizer::Add(wxWindow, int, int, int, wxObject) sizer.h:113
      [08] AddEditPropSheet::CreateControls() addeditpropsheet.cpp:63
      [09] AddEditPropSheet::Create(wxWindow, int, wxString const&, wxPoint const&, wxSize const&, long) addeditpropsheet.cpp:15
      [10] AddEditPropSheet::AddEditPropSheet(wxWindow
      , PWScore&, AddEditPropSheet::AddOrEdit, CItemData const, UIInterFace, wxString const&, int, wxString const&, wxPoint const&, wxSize const&, long) addeditpropsheet.cpp:14
      [11] AddEditPropSheet::AddEditPropSheet(wxWindow, PWScore&, AddEditPropSheet::AddOrEdit, CItemData const, UIInterFace, wxString const&, int, wxString const&, wxPoint const&, wxSize const&, long) addeditpropsheet.cpp:14
      [12] PasswordSafeFrame::DoEdit(CItemData) addeditpropsheet.h:13
      [13] PasswordSafeFrame::OnEditClick(wxCommandEvent&) mainEdit.cpp:6
      [14] wxAppConsoleBase::HandleEvent(wxEvtHandler
      , void (wxEvtHandler::*)(wxEvent&), wxEvent&) const appbase.cpp:59
      Sent from sourceforge.net because you indicated interest in https://sourceforge.net/p/passwordsafe/bugs/1168/

      To unsubscribe from further messages, please visit https://sourceforge.net/auth/subscriptions/

       

      Related

      Bugs: #1168

  • Saurav Ghosh

    Saurav Ghosh - 2014-03-05

    John - since you are on Mac OS X 10.9, I would assume you built it with Xcode 5. Can you tell me which target you built (pwsafe/pwsafe64)?

     
  • Saurav Ghosh

    Saurav Ghosh - 2014-03-05

    And also, which version of wxWidgets are you using?

     
    • Mark Clayton

      Mark Clayton - 2014-03-05

      Hi Saurav,

      I'm sorry, I should have included that information in the original ticket.

      Yes, I used the latest release of Xcode. I built the pwsafe64 target and linked against wxWidgets 2.9.4 static libs. The libs were built using a previous versions of Xcode (from Lion) using the standard wxWidgets configure of: ../configure --enable-unicode --enable-debug --disable-shared --with-osx_cocoa.

      Please let me know if you need anything more. I'm happy to help out.

      Mark

      On Mar 5, 2014, at 7:07, Saurav Ghosh sauravg@users.sf.net wrote:

      And also, which version of wxWidgets are you using?

      [bugs:#1168] Assert opening 'Edit/View Entry' dialog

      Status: open
      Group: v1.0_(example)
      Labels: Mac wx
      Created: Tue Mar 04, 2014 05:34 PM UTC by John Mark Clayton
      Last Updated: Wed Mar 05, 2014 10:55 AM UTC
      Owner: Saurav Ghosh

      ../src/common/sizer.cpp(1377): assert "Assert failure" failed in DoInsert(): too many items (13 > 2*6) in grid sizer (maybe you should omit the number of either rows or columns?)

      I get an assert running the debug version of 3.33 on Mac OS X 10.9. I can not
      see the entire call stack in the dialog box as it runs off the bottom of the screen. It happens when I try to edit an entry. Below is as much of the call stack I can see.

      HTH,
      Mark

      ../src/common/sizer.cpp(1377): assert "Assert failure" failed in DoInsert(): too many items (13 > 2*6) in grid sizer (maybe you should omit the number of either rows or columns?)

      Call stack:
      [00] wxAppConsoleBase::OnAssertFailure(wchar_t const, int, wchar_t const, wchar_t const, wchar_t const) appbase.cpp:76
      [01] PwsafeApp::OnAssertFailure(wchar_t const, int, wchar_t const, wchar_t const, wchar_t const) pwsafeapp.cpp:24
      [02] wxDefaultAssertHandler(wxString const&, int, wxString const&, wxString const&, wxString const&) appbase.cpp:106
      [03] wxOnAssert(char const, int, char const, char const, wxString const&) appbase.cpp:111
      [04] wxGridSizer::DoInsert(unsigned long, wxSizerItem
      ) sizer.cpp:137
      [05] wxSizer::Insert(unsigned long, wxSizerItem) sizer.h:112
      [06] wxSizer::Add(wxSizerItem
      ) sizer.h:113
      [07] wxSizer::Add(wxWindow, int, int, int, wxObject) sizer.h:113
      [08] AddEditPropSheet::CreateControls() addeditpropsheet.cpp:63
      [09] AddEditPropSheet::Create(wxWindow, int, wxString const&, wxPoint const&, wxSize const&, long) addeditpropsheet.cpp:15
      [10] AddEditPropSheet::AddEditPropSheet(wxWindow
      , PWScore&, AddEditPropSheet::AddOrEdit, CItemData const, UIInterFace, wxString const&, int, wxString const&, wxPoint const&, wxSize const&, long) addeditpropsheet.cpp:14
      [11] AddEditPropSheet::AddEditPropSheet(wxWindow, PWScore&, AddEditPropSheet::AddOrEdit, CItemData const, UIInterFace, wxString const&, int, wxString const&, wxPoint const&, wxSize const&, long) addeditpropsheet.cpp:14
      [12] PasswordSafeFrame::DoEdit(CItemData) addeditpropsheet.h:13
      [13] PasswordSafeFrame::OnEditClick(wxCommandEvent&) mainEdit.cpp:6
      [14] wxAppConsoleBase::HandleEvent(wxEvtHandler
      , void (wxEvtHandler::*)(wxEvent&), wxEvent&) const appbase.cpp:59
      Sent from sourceforge.net because you indicated interest in https://sourceforge.net/p/passwordsafe/bugs/1168/

      To unsubscribe from further messages, please visit https://sourceforge.net/auth/subscriptions/

       

      Related

      Bugs: #1168

  • Saurav Ghosh

    Saurav Ghosh - 2014-03-06

    I was just curious as to how you are building/running pwsafe with Xcode5. I assumed you are using wxWidgets 3.X because that's the final release version for the 2.9 series. Unfortunately, pwsafe cannot be built or run with wxWidgets 3.X unless you have the changes in wx3-osx branch, which is not merged with master yet. So hold on to your wxWidgets 2.9 build :-)

    Btw, your problem (the assert) is fixed with b43703b.

     
    • Mark Clayton

      Mark Clayton - 2014-03-07

      Thanks for the fix. And thanks for the warning to hold onto my 2.9 build! But somewhere along the way I
      broke the builds for my personal applications. Oh well at least pwsafe still builds!

      Mark

      On Mar 6, 2014, at 4:45, Saurav Ghosh sauravg@users.sf.net wrote:

      I was just curious as to how you are building/running pwsafe with Xcode5. I assumed you are using wxWidgets 3.X because that's the final release version for the 2.9 series. Unfortunately, pwsafe cannot be built or run with wxWidgets 3.X unless you have the changes in wx3-osx branch, which is not merged with master yet. So hold on to your wxWidgets 2.9 build :-)

      Btw, your problem (the assert) is fixed with b43703b.
      [bugs:#1168] Assert opening 'Edit/View Entry' dialog

      Status: open
      Group: v1.0_(example)
      Labels: Mac wx
      Created: Tue Mar 04, 2014 05:34 PM UTC by John Mark Clayton
      Last Updated: Wed Mar 05, 2014 12:07 PM UTC
      Owner: Saurav Ghosh

      ../src/common/sizer.cpp(1377): assert "Assert failure" failed in DoInsert(): too many items (13 > 2*6) in grid sizer (maybe you should omit the number of either rows or columns?)

      I get an assert running the debug version of 3.33 on Mac OS X 10.9. I can not
      see the entire call stack in the dialog box as it runs off the bottom of the screen. It happens when I try to edit an entry. Below is as much of the call stack I can see.

      HTH,
      Mark

      ../src/common/sizer.cpp(1377): assert "Assert failure" failed in DoInsert(): too many items (13 > 2*6) in grid sizer (maybe you should omit the number of either rows or columns?)

      Call stack:
      [00] wxAppConsoleBase::OnAssertFailure(wchar_t const, int, wchar_t const, wchar_t const, wchar_t const) appbase.cpp:76
      [01] PwsafeApp::OnAssertFailure(wchar_t const, int, wchar_t const, wchar_t const, wchar_t const) pwsafeapp.cpp:24
      [02] wxDefaultAssertHandler(wxString const&, int, wxString const&, wxString const&, wxString const&) appbase.cpp:106
      [03] wxOnAssert(char const, int, char const, char const, wxString const&) appbase.cpp:111
      [04] wxGridSizer::DoInsert(unsigned long, wxSizerItem
      ) sizer.cpp:137
      [05] wxSizer::Insert(unsigned long, wxSizerItem) sizer.h:112
      [06] wxSizer::Add(wxSizerItem
      ) sizer.h:113
      [07] wxSizer::Add(wxWindow, int, int, int, wxObject) sizer.h:113
      [08] AddEditPropSheet::CreateControls() addeditpropsheet.cpp:63
      [09] AddEditPropSheet::Create(wxWindow, int, wxString const&, wxPoint const&, wxSize const&, long) addeditpropsheet.cpp:15
      [10] AddEditPropSheet::AddEditPropSheet(wxWindow
      , PWScore&, AddEditPropSheet::AddOrEdit, CItemData const, UIInterFace, wxString const&, int, wxString const&, wxPoint const&, wxSize const&, long) addeditpropsheet.cpp:14
      [11] AddEditPropSheet::AddEditPropSheet(wxWindow, PWScore&, AddEditPropSheet::AddOrEdit, CItemData const, UIInterFace, wxString const&, int, wxString const&, wxPoint const&, wxSize const&, long) addeditpropsheet.cpp:14
      [12] PasswordSafeFrame::DoEdit(CItemData) addeditpropsheet.h:13
      [13] PasswordSafeFrame::OnEditClick(wxCommandEvent&) mainEdit.cpp:6
      [14] wxAppConsoleBase::HandleEvent(wxEvtHandler
      , void (wxEvtHandler::*)(wxEvent&), wxEvent&) const appbase.cpp:59
      Sent from sourceforge.net because you indicated interest in https://sourceforge.net/p/passwordsafe/bugs/1168/

      To unsubscribe from further messages, please visit https://sourceforge.net/auth/subscriptions/

       

      Related

      Bugs: #1168

  • Rony Shapiro

    Rony Shapiro - 2015-10-09
    • status: open --> closed
     

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:

JavaScript is required for this form.





No, thanks